Bullet Collision Detection & Physics Library: btVertexBufferDescriptor Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
btVertexBufferDescriptor Class Referenceabstract

`#include <btSoftBodySolverVertexBuffer.h>`

Inheritance diagram for btVertexBufferDescriptor:
[legend]

## Public Types
enum | BufferTypes { CPU_BUFFER , DX11_BUFFER , OPENGL_BUFFER }

## Public Member Functions
| btVertexBufferDescriptor ()
virtual | ~btVertexBufferDescriptor ()
virtual bool | hasVertexPositions () const
virtual bool | hasNormals () const
virtual BufferTypes | getBufferType () const =0
| Return the type of the vertex buffer descriptor.
virtual int | getVertexOffset () const
| Return the vertex offset in floats from the base pointer.
virtual int | getVertexStride () const
| Return the vertex stride in number of floats between vertices.
virtual int | getNormalOffset () const
| Return the vertex offset in floats from the base pointer.
virtual int | getNormalStride () const
| Return the vertex stride in number of floats between vertices.

## Protected Attributes
bool | m_hasVertexPositions
bool | m_hasNormals
int | m_vertexOffset
int | m_vertexStride
int | m_normalOffset
int | m_normalStride

## Detailed Description

Definition at line 19 of file btSoftBodySolverVertexBuffer.h.

## Member Enumeration Documentation

## ◆ BufferTypes

enum btVertexBufferDescriptor::BufferTypes

Enumerator
CPU_BUFFER |
DX11_BUFFER |
OPENGL_BUFFER |

Definition at line 22 of file btSoftBodySolverVertexBuffer.h.

## Constructor & Destructor Documentation

## ◆ btVertexBufferDescriptor()

btVertexBufferDescriptor::btVertexBufferDescriptor | ( |  | ) |
| inline

Definition at line 40 of file btSoftBodySolverVertexBuffer.h.

## ◆ ~btVertexBufferDescriptor()

virtual btVertexBufferDescriptor::~btVertexBufferDescriptor | ( |  | ) |
| inlinevirtual

Definition at line 50 of file btSoftBodySolverVertexBuffer.h.

## Member Function Documentation

## ◆ getBufferType()

virtual BufferTypes btVertexBufferDescriptor::getBufferType | ( |  | ) | const
| pure virtual

Return the type of the vertex buffer descriptor.

Implemented in btCPUVertexBufferDescriptor.

## ◆ getNormalOffset()

virtual int btVertexBufferDescriptor::getNormalOffset | ( |  | ) | const
| inlinevirtual

Return the vertex offset in floats from the base pointer.

Definition at line 88 of file btSoftBodySolverVertexBuffer.h.

## ◆ getNormalStride()

virtual int btVertexBufferDescriptor::getNormalStride | ( |  | ) | const
| inlinevirtual

Return the vertex stride in number of floats between vertices.

Definition at line 96 of file btSoftBodySolverVertexBuffer.h.

## ◆ getVertexOffset()

virtual int btVertexBufferDescriptor::getVertexOffset | ( |  | ) | const
| inlinevirtual

Return the vertex offset in floats from the base pointer.

Definition at line 72 of file btSoftBodySolverVertexBuffer.h.

## ◆ getVertexStride()

virtual int btVertexBufferDescriptor::getVertexStride | ( |  | ) | const
| inlinevirtual

Return the vertex stride in number of floats between vertices.

Definition at line 80 of file btSoftBodySolverVertexBuffer.h.

## ◆ hasNormals()

virtual bool btVertexBufferDescriptor::hasNormals | ( |  | ) | const
| inlinevirtual

Definition at line 59 of file btSoftBodySolverVertexBuffer.h.

## ◆ hasVertexPositions()

virtual bool btVertexBufferDescriptor::hasVertexPositions | ( |  | ) | const
| inlinevirtual

Definition at line 54 of file btSoftBodySolverVertexBuffer.h.

## Member Data Documentation

## ◆ m_hasNormals

bool btVertexBufferDescriptor::m_hasNormals
| protected

Definition at line 31 of file btSoftBodySolverVertexBuffer.h.

## ◆ m_hasVertexPositions

bool btVertexBufferDescriptor::m_hasVertexPositions
| protected

Definition at line 30 of file btSoftBodySolverVertexBuffer.h.

## ◆ m_normalOffset

int btVertexBufferDescriptor::m_normalOffset
| protected

Definition at line 36 of file btSoftBodySolverVertexBuffer.h.

## ◆ m_normalStride

int btVertexBufferDescriptor::m_normalStride
| protected

Definition at line 37 of file btSoftBodySolverVertexBuffer.h.

## ◆ m_vertexOffset

int btVertexBufferDescriptor::m_vertexOffset
| protected

Definition at line 33 of file btSoftBodySolverVertexBuffer.h.

## ◆ m_vertexStride

int btVertexBufferDescriptor::m_vertexStride
| protected

Definition at line 34 of file btSoftBodySolverVertexBuffer.h.

The documentation for this class was generated from the following file:

- btSoftBodySolverVertexBuffer.h